# Generated from ruby-lol-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby-lol

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Ruby wrapper to Riot Games API
License: MIT
URL: https://github.com/mikamai/ruby-lol
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(ZenTest)
# BuildRequires: rubygem(autotest-growl)
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.5.0
# BuildRequires: rubygem(codeclimate-test-reporter) < 0.6
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock) >= 1.8.0
# BuildRequires: rubygem(webmock) < 1.16
# BuildRequires: rubygem(awesome_print)
BuildArch: noarch

%description
Ruby wrapper to Riot Games API. Maps results to full blown ruby objects.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.autotest
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/TODO.md
%{gem_instdir}/demo
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ruby-lol.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.2.0-1
- Initial package
